Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2008 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.util
Class PersistenceHelper.DefaultSmartEntityReference

    java.lang.Object
      com.beasys.commerce.util.PersistenceHelper.DefaultSmartEntityReference

All Implemented Interfaces
  SmartEntityReference, Serializable

Enclosing class:
  PersistenceHelper

Deprecated See BEA Commerce product offering

    public static class PersistenceHelper.DefaultSmartEntityReference

extends Object
implements SmartEntityReference, Serializable

See Also
  Serialized Form

Constructor Summary
`protected` | `PersistenceHelper.DefaultSmartEntityReference()` Deprecated See BEA Commerce product offering
`protected` | `PersistenceHelper.DefaultSmartEntityReference(javax.ejb.EJBObject ejbObject)` Deprecated See BEA Commerce product offering

Method Summary
`int` | `compareTo(javax.ejb.EJBObject that)` Deprecated See BEA Commerce product offering
`int` | `compareTo(SmartEntityReference that)` Deprecated See BEA Commerce product offering
`javax.ejb.EJBObject` | `getEJBObject()` Deprecated See BEA Commerce product offering
`String` | `getJNDIName()` Deprecated See BEA Commerce product offering
`void` | `setEJBObject(javax.ejb.EJBObject ejbObject)` Deprecated See BEA Commerce product offering

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PersistenceHelper.DefaultSmartEntityReference

    protected PersistenceHelper.DefaultSmartEntityReference()

  Deprecated See BEA Commerce product offering

### PersistenceHelper.DefaultSmartEntityReference

    protected PersistenceHelper.DefaultSmartEntityReference(javax.ejb.EJBObject ejbObject)

  Deprecated See BEA Commerce product offering

Method Detail

### setEJBObject

    public void setEJBObject(javax.ejb.EJBObject ejbObject)

  Deprecated See BEA Commerce product offering

  Specified by:
    `setEJBObject` in interface `SmartEntityReference`

### getEJBObject

    public javax.ejb.EJBObject getEJBObject()

  Deprecated See BEA Commerce product offering

  Description copied from interface: `SmartEntityReference`
  Returns the EJBObject. If the SmartHandle is empty, it returns null.

  Specified by:
    `getEJBObject` in interface `SmartEntityReference`

### getJNDIName

    public String getJNDIName()

  Deprecated See BEA Commerce product offering

  Specified by:
    `getJNDIName` in interface `SmartEntityReference`

### compareTo

    public int compareTo(javax.ejb.EJBObject that)

  Deprecated See BEA Commerce product offering

  Specified by:
    `compareTo` in interface `SmartEntityReference`

### compareTo

    public int compareTo(SmartEntityReference that)

  Deprecated See BEA Commerce product offering

  compare two PK's

  Specified by:
    `compareTo` in interface `SmartEntityReference`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 BEA Systems, Inc. All Rights Reserved